Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1376391 - multiple instances of file-roller are not usable, also 10 seconds after starting+quitting file-roller
Summary: multiple instances of file-roller are not usable, also 10 seconds after start...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1376388 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-15 10:13 UTC by Kamil Páral
Modified: 2016-09-22 07:31 UTC (History)
2 users (show)

Fixed In Version: file-roller-3.21.91-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 07:31:34 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
bug demonstration video (deleted)
2016-09-15 10:13 UTC, Kamil Páral
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1374321 0 unspecified CLOSED file-roller has all actions disabled under wayland 2021-02-22 00:41:40 UTC

Internal Links: 1374321

Description Kamil Páral 2016-09-15 10:13:56 UTC
Created attachment 1201168 [details]
bug demonstration video

Description of problem:
This is a regression between file-roller-3.21.90-1.fc25.x86_64 and file-roller-3.21.91-1.fc25.x86_64.

You can't have two file-roller windows opened at once. The first one shows content OK, but the second one (or any later one) shows just a gray uninitialized window with not content displayed.

This also happens for just a single window, if you start the second window sooner than 10 seconds after starting the first one. So for example you can't do this:
1. display archive contents in file-roller
2. immediately quit it
3. show the same archive (or a different one) again -- if there was less than 10 seconds since step 1, the window will be gray and empty

See the video.

Version-Release number of selected component (if applicable):
file-roller-3.21.91-1.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1. open an archive with file-roller
2. quit it
3. again open an archive with file-roller (in 10 seconds since step 1), the window will be empty
-or-
1. open an archive with file-roller, keep it open
2. open a different archive with file-roller, the window will be empty

Comment 1 Kamil Páral 2016-09-15 10:14:30 UTC
*** Bug 1376388 has been marked as a duplicate of this bug. ***

Comment 2 Kamil Páral 2016-09-15 10:15:13 UTC
This happens in X11 session and Wayland session all the same.

Comment 3 Kalev Lember 2016-09-15 12:48:45 UTC
Should be fixed in file-roller-3.21.91-2.fc25

Comment 4 Kamil Páral 2016-09-15 13:16:23 UTC
(In reply to Kalev Lember from comment #3)
> Should be fixed in file-roller-3.21.91-2.fc25

Great, that fixes this problem.

Comment 5 Fedora Update System 2016-09-16 13:01:04 UTC
atomix-3.21.92-1.fc25 baobab-3.21.92-1.fc25 cheese-3.21.92-1.fc25 dconf-editor-3.21.92-1.fc25 devhelp-3.21.92-1.fc25 epiphany-3.21.92-1.fc25 evince-3.21.92-1.fc25 evolution-3.21.92-1.fc25 evolution-data-server-3.21.92-1.fc25 evolution-ews-3.21.92-1.fc25 evolution-mapi-3.21.92-1.fc25 file-roller-3.21.91-2.fc25 five-or-more-3.21.92-1.fc25 gdk-pixbuf2-2.35.5-1.fc25 gitg-3.21.92-1.fc25 glib2-2.49.7-1.fc25 glibmm24-2.49.7-1.fc25 gnome-2048-3.21.92-1.fc25 gnome-boxes-3.21.92-1.fc25 gnome-calculator-3.21.92-1.fc25 gnome-calendar-3.21.92-1.fc25 gnome-color-manager-3.21.92-1.fc25 gnome-desktop3-3.21.92-1.fc25 gnome-documents-3.21.92-1.fc25 gnome-initial-setup-3.21.92-1.fc25 gnome-logs-3.21.92-1.fc25 gnome-maps-3.21.92-2.fc25 gnome-mines-3.21.92-1.fc25 gnome-multi-writer-3.21.92-1.fc25 gnome-music-3.21.92-1.fc25 gnome-nibbles-3.21.92-1.fc25 gnome-online-accounts-3.21.92-1.fc25 gnome-packagekit-3.21.92-1.fc25 gnome-photos-3.21.92-1.fc25 gnome-power-manager-3.21.92-1.fc25 gnome-settings-daemon-3.21.92.1-1.fc25 gnome-shell-3.21.92-1.fc25 gnome-shell-extension-background-logo-3.21.92-1.fc25 gnome-shell-extensions-3.21.92-1.fc25 gnome-software-3.21.92-1.fc25 gnome-sound-recorder-3.21.92-1.fc25 gnome-system-monitor-3.21.92-1.fc25 gnome-taquin-3.21.92-1.fc25 gnome-terminal-3.21.92-1.fc25 gobject-introspection-1.49.2-1.fc25 grilo-0.3.2-1.fc25 grilo-plugins-0.3.3-1.fc25 gtk3-3.21.6-1.fc25 gtkmm30-3.21.6-1.fc25 gtksourceview3-3.21.6-1.fc25 gvfs-1.29.92-1.fc25 iagno-3.21.92-1.fc25 libgnomekbd-3.21.92-1.fc25 lightsoff-3.21.92-1.fc25 mutter-3.21.92-1.fc25 nautilus-3.21.92-1.fc25 orca-3.21.92-1.fc25 pango-1.40.3-1.fc25 polari-3.21.92-1.fc25 pygobject3-3.21.92-1.fc25 rygel-0.31.6-1.fc25 shotwell-0.23.7-1.fc25 sound-juicer-3.21.92-1.fc25 swell-foop-3.21.92-1.fc25 tracker-1.9.2-1.fc25 vinagre-3.21.92-1.fc25 vino-3.21.92-1.fc25 vte291-0.45.92-1.fc25 webkitgtk4-2.13.92-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-78efe5595f

Comment 6 Fedora Update System 2016-09-17 20:55:48 UTC
atomix-3.21.92-1.fc25, baobab-3.21.92-1.fc25, cheese-3.21.92-1.fc25, dconf-editor-3.21.92-1.fc25, devhelp-3.21.92-1.fc25, epiphany-3.21.92-1.fc25, evince-3.21.92-1.fc25, evolution-3.21.92-1.fc25, evolution-data-server-3.21.92-1.fc25, evolution-ews-3.21.92-1.fc25, evolution-mapi-3.21.92-1.fc25, file-roller-3.21.91-2.fc25, five-or-more-3.21.92-1.fc25, gdk-pixbuf2-2.35.5-1.fc25, gitg-3.21.92-1.fc25, glib2-2.49.7-1.fc25, glibmm24-2.49.7-1.fc25, gnome-2048-3.21.92-1.fc25, gnome-boxes-3.21.92-1.fc25, gnome-calculator-3.21.92-1.fc25, gnome-calendar-3.21.92-1.fc25, gnome-color-manager-3.21.92-1.fc25, gnome-desktop3-3.21.92-1.fc25, gnome-documents-3.21.92-1.fc25, gnome-initial-setup-3.21.92-1.fc25, gnome-logs-3.21.92-1.fc25, gnome-maps-3.21.92-2.fc25, gnome-mines-3.21.92-1.fc25, gnome-multi-writer-3.21.92-1.fc25, gnome-music-3.21.92-1.fc25, gnome-nibbles-3.21.92-1.fc25, gnome-online-accounts-3.21.92-1.fc25, gnome-packagekit-3.21.92-1.fc25, gnome-photos-3.21.92-1.fc25, gnome-power-manager-3.21.92-1.fc25, gnome-settings-daemon-3.21.92.1-1.fc25, gnome-shell-3.21.92-1.fc25, gnome-shell-extension-background-logo-3.21.92-1.fc25, gnome-shell-extensions-3.21.92-1.fc25, gnome-software-3.21.92-1.fc25, gnome-sound-recorder-3.21.92-1.fc25, gnome-system-monitor-3.21.92-1.fc25, gnome-taquin-3.21.92-1.fc25, gnome-terminal-3.21.92-1.fc25, gobject-introspection-1.49.2-1.fc25, grilo-0.3.2-1.fc25, grilo-plugins-0.3.3-1.fc25, gtk3-3.21.6-1.fc25, gtkmm30-3.21.6-1.fc25, gtksourceview3-3.21.6-1.fc25, gvfs-1.29.92-1.fc25, iagno-3.21.92-1.fc25, libgnomekbd-3.21.92-1.fc25, lightsoff-3.21.92-1.fc25, mutter-3.21.92-1.fc25, nautilus-3.21.92-1.fc25, orca-3.21.92-1.fc25, pango-1.40.3-1.fc25, polari-3.21.92-1.fc25, pygobject3-3.21.92-1.fc25, rygel-0.31.6-1.fc25, shotwell-0.23.7-1.fc25, sound-juicer-3.21.92-1.fc25, swell-foop-3.21.92-1.fc25, tracker-1.9.2-1.fc25, vinagre-3.21.92-1.fc25, vino-3.21.92-1.fc25, vte291-0.45.92-1.fc25, webkitgtk4-2.13.92-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-78efe5595f

Comment 7 Fedora Update System 2016-09-19 16:06:21 UTC
atomix-3.21.92-1.fc25 baobab-3.21.92-1.fc25 cheese-3.21.92-1.fc25 dconf-editor-3.21.92-1.fc25 devhelp-3.21.92-1.fc25 epiphany-3.21.92-1.fc25 evince-3.21.92-1.fc25 evolution-3.21.92-1.fc25 evolution-data-server-3.21.92-1.fc25 evolution-ews-3.21.92-1.fc25 evolution-mapi-3.21.92-1.fc25 file-roller-3.21.91-2.fc25 five-or-more-3.21.92-1.fc25 gdk-pixbuf2-2.35.5-1.fc25 gitg-3.21.92-1.fc25 glib2-2.49.7-1.fc25 glibmm24-2.49.7-1.fc25 gnome-2048-3.21.92-1.fc25 gnome-boxes-3.21.92-1.fc25 gnome-calculator-3.21.92-1.fc25 gnome-calendar-3.21.92-1.fc25 gnome-color-manager-3.21.92-1.fc25 gnome-desktop3-3.21.92-1.fc25 gnome-documents-3.21.92-1.fc25 gnome-initial-setup-3.21.92-1.fc25 gnome-logs-3.21.92-1.fc25 gnome-maps-3.21.92-2.fc25 gnome-mines-3.21.92-1.fc25 gnome-multi-writer-3.21.92-1.fc25 gnome-music-3.21.92-1.fc25 gnome-nibbles-3.21.92-1.fc25 gnome-online-accounts-3.21.92-1.fc25 gnome-packagekit-3.21.92-1.fc25 gnome-photos-3.21.92-1.fc25 gnome-power-manager-3.21.92-1.fc25 gnome-settings-daemon-3.21.92.1-1.fc25 gnome-shell-3.21.92-1.fc25 gnome-shell-extension-background-logo-3.21.92-1.fc25 gnome-shell-extensions-3.21.92-1.fc25 gnome-software-3.21.92-1.fc25 gnome-sound-recorder-3.21.92-1.fc25 gnome-system-monitor-3.21.92-1.fc25 gnome-taquin-3.21.92-1.fc25 gnome-terminal-3.21.92-1.fc25 gobject-introspection-1.49.2-1.fc25 grilo-0.3.2-1.fc25 grilo-plugins-0.3.3-1.fc25 gtk3-3.21.6-2.fc25 gtkmm30-3.21.6-1.fc25 gtksourceview3-3.21.6-1.fc25 gvfs-1.29.92-1.fc25 iagno-3.21.92-1.fc25 libgnomekbd-3.21.92-1.fc25 lightsoff-3.21.92-1.fc25 mutter-3.21.92-1.fc25 nautilus-3.21.92-1.fc25 orca-3.21.92-1.fc25 pango-1.40.3-1.fc25 polari-3.21.92-1.fc25 pygobject3-3.21.92-1.fc25 rygel-0.31.6-1.fc25 shotwell-0.23.7-1.fc25 sound-juicer-3.21.92-1.fc25 swell-foop-3.21.92-1.fc25 tracker-1.9.2-1.fc25 vinagre-3.21.92-1.fc25 vino-3.21.92-1.fc25 vte291-0.45.92-1.fc25 webkitgtk4-2.13.92-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-78efe5595f

Comment 8 Fedora Update System 2016-09-20 20:00:21 UTC
atomix-3.21.92-1.fc25, baobab-3.21.92-1.fc25, cheese-3.21.92-1.fc25, dconf-editor-3.21.92-1.fc25, devhelp-3.21.92-1.fc25, epiphany-3.21.92-1.fc25, evince-3.21.92-1.fc25, evolution-3.21.92-1.fc25, evolution-data-server-3.21.92-1.fc25, evolution-ews-3.21.92-1.fc25, evolution-mapi-3.21.92-1.fc25, file-roller-3.21.91-2.fc25, five-or-more-3.21.92-1.fc25, gdk-pixbuf2-2.35.5-1.fc25, gitg-3.21.92-1.fc25, glib2-2.49.7-1.fc25, glibmm24-2.49.7-1.fc25, gnome-2048-3.21.92-1.fc25, gnome-boxes-3.21.92-1.fc25, gnome-calculator-3.21.92-1.fc25, gnome-calendar-3.21.92-1.fc25, gnome-color-manager-3.21.92-1.fc25, gnome-desktop3-3.21.92-1.fc25, gnome-documents-3.21.92-1.fc25, gnome-initial-setup-3.21.92-1.fc25, gnome-logs-3.21.92-1.fc25, gnome-maps-3.21.92-2.fc25, gnome-mines-3.21.92-1.fc25, gnome-multi-writer-3.21.92-1.fc25, gnome-music-3.21.92-1.fc25, gnome-nibbles-3.21.92-1.fc25, gnome-online-accounts-3.21.92-1.fc25, gnome-packagekit-3.21.92-1.fc25, gnome-photos-3.21.92-1.fc25, gnome-power-manager-3.21.92-1.fc25, gnome-settings-daemon-3.21.92.1-1.fc25, gnome-shell-3.21.92-1.fc25, gnome-shell-extension-background-logo-3.21.92-1.fc25, gnome-shell-extensions-3.21.92-1.fc25, gnome-software-3.21.92-1.fc25, gnome-sound-recorder-3.21.92-1.fc25, gnome-system-monitor-3.21.92-1.fc25, gnome-taquin-3.21.92-1.fc25, gnome-terminal-3.21.92-1.fc25, gobject-introspection-1.49.2-1.fc25, grilo-0.3.2-1.fc25, grilo-plugins-0.3.3-1.fc25, gtk3-3.21.6-2.fc25, gtkmm30-3.21.6-1.fc25, gtksourceview3-3.21.6-1.fc25, gvfs-1.29.92-1.fc25, iagno-3.21.92-1.fc25, libgnomekbd-3.21.92-1.fc25, lightsoff-3.21.92-1.fc25, mutter-3.21.92-1.fc25, nautilus-3.21.92-1.fc25, orca-3.21.92-1.fc25, pango-1.40.3-1.fc25, polari-3.21.92-1.fc25, pygobject3-3.21.92-1.fc25, rygel-0.31.6-1.fc25, shotwell-0.23.7-1.fc25, sound-juicer-3.21.92-1.fc25, swell-foop-3.21.92-1.fc25, tracker-1.9.2-1.fc25, vinagre-3.21.92-1.fc25, vino-3.21.92-1.fc25, vte291-0.45.92-1.fc25, webkitgtk4-2.13.92-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-78efe5595f

Comment 9 Fedora Update System 2016-09-20 20:37:35 UTC
atomix-3.21.92-1.fc25 baobab-3.21.92-1.fc25 cheese-3.21.92-1.fc25 dconf-editor-3.21.92-1.fc25 devhelp-3.21.92-1.fc25 epiphany-3.21.92-1.fc25 evince-3.21.92-1.fc25 evolution-3.21.92-1.fc25 evolution-data-server-3.21.92-1.fc25 evolution-ews-3.21.92-1.fc25 evolution-mapi-3.21.92-1.fc25 file-roller-3.21.91-2.fc25 five-or-more-3.21.92-1.fc25 gdk-pixbuf2-2.35.5-1.fc25 gitg-3.21.92-1.fc25 glib2-2.49.7-1.fc25 glibmm24-2.49.7-1.fc25 gnome-2048-3.21.92-1.fc25 gnome-boxes-3.21.92-1.fc25 gnome-calculator-3.21.92-1.fc25 gnome-calendar-3.21.92-1.fc25 gnome-color-manager-3.21.92-1.fc25 gnome-desktop3-3.21.92-1.fc25 gnome-documents-3.21.92-1.fc25 gnome-initial-setup-3.21.92-1.fc25 gnome-logs-3.21.92-1.fc25 gnome-maps-3.21.92-2.fc25 gnome-mines-3.21.92-1.fc25 gnome-multi-writer-3.21.92-1.fc25 gnome-music-3.21.92-1.fc25 gnome-nibbles-3.21.92-1.fc25 gnome-online-accounts-3.21.92-1.fc25 gnome-packagekit-3.21.92-1.fc25 gnome-photos-3.21.92-1.fc25 gnome-power-manager-3.21.92-1.fc25 gnome-settings-daemon-3.21.92.1-1.fc25 gnome-shell-3.21.92-1.fc25 gnome-shell-extension-background-logo-3.21.92-1.fc25 gnome-shell-extensions-3.21.92-1.fc25 gnome-software-3.21.92-1.fc25 gnome-sound-recorder-3.21.92-1.fc25 gnome-system-monitor-3.21.92-1.fc25 gnome-taquin-3.21.92-1.fc25 gnome-terminal-3.21.92-1.fc25 gobject-introspection-1.49.2-1.fc25 grilo-0.3.2-1.fc25 grilo-plugins-0.3.3-1.fc25 gtk3-3.21.6-2.fc25 gtkmm30-3.21.6-1.fc25 gtksourceview3-3.21.6-1.fc25 gvfs-1.29.92-1.fc25 iagno-3.21.92-1.fc25 libgnomekbd-3.22.0.1-1.fc25 lightsoff-3.21.92-1.fc25 mutter-3.21.92-1.fc25 nautilus-3.21.92-1.fc25 orca-3.21.92-1.fc25 pango-1.40.3-1.fc25 polari-3.21.92-1.fc25 pygobject3-3.21.92-1.fc25 rygel-0.31.6-1.fc25 shotwell-0.23.7-1.fc25 sound-juicer-3.21.92-1.fc25 swell-foop-3.21.92-1.fc25 tracker-1.9.2-1.fc25 vinagre-3.21.92-1.fc25 vino-3.21.92-1.fc25 vte291-0.45.92-1.fc25 webkitgtk4-2.13.92-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-78efe5595f

Comment 10 Fedora Update System 2016-09-22 07:31:34 UTC
atomix-3.21.92-1.fc25, baobab-3.21.92-1.fc25, cheese-3.21.92-1.fc25, dconf-editor-3.21.92-1.fc25, devhelp-3.21.92-1.fc25, epiphany-3.21.92-1.fc25, evince-3.21.92-1.fc25, evolution-3.21.92-1.fc25, evolution-data-server-3.21.92-1.fc25, evolution-ews-3.21.92-1.fc25, evolution-mapi-3.21.92-1.fc25, file-roller-3.21.91-2.fc25, five-or-more-3.21.92-1.fc25, gdk-pixbuf2-2.35.5-1.fc25, gitg-3.21.92-1.fc25, glib2-2.49.7-1.fc25, glibmm24-2.49.7-1.fc25, gnome-2048-3.21.92-1.fc25, gnome-boxes-3.21.92-1.fc25, gnome-calculator-3.21.92-1.fc25, gnome-calendar-3.21.92-1.fc25, gnome-color-manager-3.21.92-1.fc25, gnome-desktop3-3.21.92-1.fc25, gnome-documents-3.21.92-1.fc25, gnome-initial-setup-3.21.92-1.fc25, gnome-logs-3.21.92-1.fc25, gnome-maps-3.21.92-2.fc25, gnome-mines-3.21.92-1.fc25, gnome-multi-writer-3.21.92-1.fc25, gnome-music-3.21.92-1.fc25, gnome-nibbles-3.21.92-1.fc25, gnome-online-accounts-3.21.92-1.fc25, gnome-packagekit-3.21.92-1.fc25, gnome-photos-3.21.92-1.fc25, gnome-power-manager-3.21.92-1.fc25, gnome-settings-daemon-3.21.92.1-1.fc25, gnome-shell-3.21.92-1.fc25, gnome-shell-extension-background-logo-3.21.92-1.fc25, gnome-shell-extensions-3.21.92-1.fc25, gnome-software-3.21.92-1.fc25, gnome-sound-recorder-3.21.92-1.fc25, gnome-system-monitor-3.21.92-1.fc25, gnome-taquin-3.21.92-1.fc25, gnome-terminal-3.21.92-1.fc25, gobject-introspection-1.49.2-1.fc25, grilo-0.3.2-1.fc25, grilo-plugins-0.3.3-1.fc25, gtk3-3.21.6-2.fc25, gtkmm30-3.21.6-1.fc25, gtksourceview3-3.21.6-1.fc25, gvfs-1.29.92-1.fc25, iagno-3.21.92-1.fc25, libgnomekbd-3.22.0.1-1.fc25, lightsoff-3.21.92-1.fc25, mutter-3.21.92-1.fc25, nautilus-3.21.92-1.fc25, orca-3.21.92-1.fc25, pango-1.40.3-1.fc25, polari-3.21.92-1.fc25, pygobject3-3.21.92-1.fc25, rygel-0.31.6-1.fc25, shotwell-0.23.7-1.fc25, sound-juicer-3.21.92-1.fc25, swell-foop-3.21.92-1.fc25, tracker-1.9.2-1.fc25, vinagre-3.21.92-1.fc25, vino-3.21.92-1.fc25, vte291-0.45.92-1.fc25, webkitgtk4-2.13.92-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.